#include "MenuTextMsgPlayerPress.h"

MenuTextMsgPlayerPress::MenuTextMsgPlayerPress()
{
	ani.png = L"menu_CS_title";
	ani.sprite_index = L"msg_player1Press";
}

void MenuTextMsgPlayerPress::SetState(int stateID, int lr)
{
	if (stateID == 0)
	{
		ani.png = L"menu_CS_title";
		ani.sprite_index = L"msg_player1Press";
	}
	else
	{
		ani.png = L"menu_CS_title";
		ani.sprite_index = L"msg_player2Press";
	}
}

std::shared_ptr<Entity> CreateMenuTextMsgPlayerPress()
{
	return std::make_shared<MenuTextMsgPlayerPress>();
}
